Jenkins Enterprise and Operations Center < 2.222.43.0.4 / 2.249.30.0.4 / 2.277.2.3 Multiple Vulnerabilities (CloudBees Security Advisory 2021-04-07)

medium Nessus Plugin ID 155586

Synopsis

遠端網頁伺服器上託管的工作排程與管理系統受到多個弱點影響。

描述

遠端 Web 伺服器上執行的 Jenkins Enterprise 或 Jenkins Operations Center 版本為早於 2.222.43.0.4 的 2.222.x 版本、早於 2.249.30.0.4 的 2.249.x 版本,或是早於 2.277.2.3 的 2.x 版本。因此會受到包括以下在內的多個弱點影響:

- Micro Focus 應用程式自動化工具外掛程式 Jenkins 外掛程式中存在反射式 XSS 弱點。此弱點會影響所有 6.7 版和更舊版本。(CVE-2021-22510)

- Micro Focus 應用程式自動化工具外掛程式 Jenkins 外掛程式中存在憑證驗證不當弱點。此弱點會影響 6.7 版和更舊版本。此弱點允許無條件停用 SSL/TLS 憑證。(CVE-2021-22511)

- Micro Focus 應用程式自動化工具外掛程式 Jenkins 外掛程式中存在跨網站要求偽造 (CSRF) 弱點。此弱點會影響 6.7 版和更舊版本。此弱點允許在沒有權限檢查的情況下進行表單驗證。(CVE-2021-22512)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

將 Jenkins Enterprise 或 Jenkins Operations Center 升級至 2.222.43.0.4、2.249.30.0.4、2.277.2.3 或更新版本。

另請參閱

https://www.cloudbees.com/cloudbees-security-advisory-2021-04-07

Plugin 詳細資訊

嚴重性: Medium

ID: 155586

檔案名稱: cloudbees_security_advisory_2021-04-07.nasl

版本: 1.4

類型: combined

代理程式: windows, macosx, unix

系列: CGI abuses

已發布: 2021/11/18

已更新: 2022/5/6

組態: 啟用徹底檢查

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Low

分數: 3.6

CVSS v2

風險因素: Medium

基本分數: 6.4

時間分數: 4.7

媒介: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:N

時間媒介: CVSS2#E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2021-22511

CVSS v3

風險因素: Medium

基本分數: 6.5

時間分數: 5.7

媒介: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N

時間媒介: CVSS:3.0/E:U/RL:O/RC:C

CVSS 評分資料來源: CVE-2021-22513

弱點資訊

CPE: cpe:2.3:a:cloudbees:jenkins:*:*:*:*:*:*:*:*

必要的 KB 項目: installed_sw/Jenkins

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2021/4/7

弱點發布日期: 2021/4/7

參考資訊

CVE: CVE-2021-21641, CVE-2021-21640, CVE-2021-21639, CVE-2021-22512, CVE-2021-22513, CVE-2021-22510, CVE-2021-22511